import { Route, Switch, Redirect } from "wouter";

import './App.css'

// import {
// 	// DifferencePage,
// 	// DocumentAbout,
// 	// Gallery,
// 	// LoginPage,
// 	// NotFoundPage,
// 	// ProfilePage,
// 	// ReaderPage,
// 	// SettingPage,
// 	// TagsPage,
// } from "./page/mod";

import { TooltipProvider } from "./components/ui/tooltip";

import Gallery from "./page/galleryPage";
import Layout from "./components/layout/layout";
import NotFoundPage from "./page/404";
import LoginPage from "./page/loginPage";
import ProfilePage from "./page/profilesPage";

const App = () => {
	return (
		<TooltipProvider>
			<Layout>
				<Switch>
					<Route path="/" component={() => <Redirect replace to="/search?" />} />
					<Route path="/search" component={Gallery} />
					<Route path="/login" component={LoginPage} />
					<Route path="/profile" component={ProfilePage}/>
					{/* <Route path="/doc/:id" component={<DocumentAbout />}></Route>
				<Route path="/doc/:id/reader" component={<ReaderPage />}></Route>
				<Route path="/difference" component={<DifferencePage />}></Route>
				<Route path="/setting" component={<SettingPage />}></Route>
			<Route path="/tags" component={<TagsPage />}></Route>*/}
					<Route component={NotFoundPage} />
				</Switch>
			</Layout>
		</TooltipProvider>);
};

export default App
